<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>HTML Purifier 4.0 released - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">HTML Purifier 4.0 released</h1>

<div id="content">
  <p>
    HTML Purifier 4.0 is a major feature release focused on configuration
    It deprecates the <code>$config-&gt;set('Ns', 'Directive', $value)</code> syntax for
    <code>$config-&gt;set('Ns.Directive', $value);</code> both syntaxes work but the
    former will throw errors.  There are also some new features:  robust
    support for name/id, configuration inheritance, remove nbsp in
    the RemoveEmpty autoformatter, userland configuration directives
    and configuration serialization.
  </p>
  <p>
    You can find full information on how to perform the migration
    at <a href="http://htmlpurifier.org/docs/dev-config-bcbreaks.txt">dev-config-bcbreaks.txt</a>,
    although the transforms are very simple and the error messages should tell
    you what you need to do.
  </p>
  <p>
  <del>Having not performed an HTML Purifier release in so long, I have unfortunately
    forgotten the passphrase on my original private key.  Furthermore, you may have
    noticed that commit messages are now showing up as ezyang@mit.edu
    instead of edwardzyang@thewritingpot.com.  While not intentional, this is
    a good time to switch my GnuPG signing key.  The new key you should verify
    against is <a href="http://pgp.mit.edu:11371/pks/lookup?op=get&amp;search=0x4B3B9E321E1C674B">0x1E1C674B</a>.
    Those of you who are paranoid should directly use the Git repository, which <em>is</em>
    tagged with the correct key (yes, muscle memory worked once, and then fled from me),
    although all future releases will be tagged with the new key.  The key is also
    <a xc:absolute="href" href="ezyang-tablet.asc">locally stored on htmlpurifier.org</a>.</del>
  </p>
  <p>
    See <a href="http://repo.or.cz/w/htmlpurifier.git?a=blob;f=NEWS;h=49832ff64dcddb3c7ba1f2f5b3a73edcd25b65a7;hb=53ff3e2744b20c579f52ca92d2a6a4922252a28c">NEWS</a>
    for a complete changelog.
  </p>
  <p><strong>Update:</strong> I have remembered my password, and have resigned all of the
  releases with the old key.  I still plan on going forward with the transition to the new
  GnuPG signing key (as it has a much larger key size and should be resilient in the
  face of nascent attacks against SHA-1).  Check the <a xc:absolute="href" href="download">download page</a>
  for more information.</p>
</div>
</div>
</body>
</html>
